# Overview

The **Referd** API is organized around [REST](http://en.wikipedia.org/wiki/Representational_State_Transfer). Our API has predictable resource-oriented URLs, returns [JSON-encoded](http://www.json.org/) responses, and uses standard HTTP response codes, authentication, and verbs.\
\
In this section, you will find all the available APIs required across all **Referd** features as well as all the API methods that can be used in the SDKs.

## Authentication

Before using any of our API endpoints, you need to get familiar with how **Referd** authenticates any incoming requests. Which is described in details in the [**Authentication**](/api-reference/authentication.md) section.

## API Reference

**Referd** provides a set of endpoints which enables you to interact with and utilize **Referd** Engine efficiently. All supported endpoints are described as follows:

* [User](/api-reference/api-reference/player.md)
* [Event](/api-reference/api-reference/event.md)
* [Notifications](/api-reference/api-reference/notifications.md)

#### Base URL

The API base URL is the following, with v3.0 as our current version.

```http
https://api.gameball.co/api/{version}
```

{% hint style="info" %}
Check the following section to learn more about the [**API Reference**](/api-reference/api-reference.md).
{% endhint %}

<br>

## **API Endpoint Testing**

To facilitate efficient testing and exploration of our API endpoints, we provide a dedicated Postman collection. This collection encompasses a comprehensive set of API calls, streamlining your testing process. To make the most of this Postman collection, detailed instructions on how to use each API endpoint and harness its capabilities have been meticulously documented in [API Endpoint Testing Section](/api-reference/api-endpoint-testing.md).

## Errors

Learn more about common errors and their description in our [**Errors** ](/api-reference/error-codes.md)section.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.tryreferd.com/api-reference/overview-on-referd-apis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
